%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gupnp-tools
Version:	0.12.0
Release:	%mkrel 1
Summary:	A collection of dev tools utilizing GUPnP and GTK+
Group:		Development/Other
License:	GPLv2+
URL:		http://www.gupnp.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Mageia patches
BuildRequires:	git-core
BuildRequires:	pkgconfig(gssdp-1.6)
BuildRequires:	pkgconfig(gupnp-1.6)
BuildRequires:	pkgconfig(gupnp-av-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(adwaita-icon-theme)
BuildRequires:  pkgconfig(uuid)
BuildRequires:	gettext
BuildRequires:	meson

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-tools is a collection of developer tools utilizing GUPnP and GTK+.
It features a universal control point application as well as a sample
DimmableLight v1.0 implementation.

%prep
%autosetup -p1 -Sgit_am

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_datadir}/%{name}/
%{_bindir}/gssdp-discover
%{_bindir}/gupnp-event-dumper
%{_bindir}/gupnp-network-light
%{_bindir}/gupnp-universal-cp
%{_bindir}/gupnp-av-cp
%{_bindir}/gupnp-upload
%{_datadir}/applications/gupnp-*.desktop
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Mon Oct 24 2022 ghibo <ghibo> 0.12.0-1.mga9
+ Revision: 1898962
- Update to release 0.12.0.
- Remove upstream patches, merged in tar archive.
- Update files list.

* Mon Sep 19 2022 wally <wally> 0.10.3-1.mga9
+ Revision: 1890422
- new version 0.10.3
- add upstream patches to port to GUPnP 1.6 and libsoup 3 and to fix misc issues

* Fri Apr 01 2022 umeabot <umeabot> 0.10.1-2.mga9
+ Revision: 1837876
- Mageia 9 Mass Rebuild

* Tue Jun 22 2021 ovitters <ovitters> 0.10.1-1.mga9
+ Revision: 1731683
- new version 0.10.1
- dropped merged patch 0001-Properly-export-common-resources.patch

* Sat Feb 15 2020 umeabot <umeabot> 0.10.0-3.mga8
+ Revision: 1525471
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 umeabot <umeabot> 0.10.0-2.mga7
+ Revision: 1392656
- Rebuild with meson 0.50.1

* Thu Apr 04 2019 daviddavid <daviddavid> 0.10.0-1.mga7
+ Revision: 1385830
- new version: 0.10.0

* Thu Mar 14 2019 daviddavid <daviddavid> 0.8.15-2.mga7
+ Revision: 1376319
- backport some upstream patches:
  * Port to new GUPnP API
  * Rewrite URI for getting device icons
  * fix DATA_DIR constant
  * Fix icons installation

* Mon Dec 10 2018 ovitters <ovitters> 0.8.15-1.mga7
+ Revision: 1339639
- new version 0.8.15

* Sun Sep 23 2018 umeabot <umeabot> 0.8.14-2.mga7
+ Revision: 1298150
- Mageia 7 Mass Rebuild

* Sat Sep 09 2017 ovitters <ovitters> 0.8.14-1.mga7
+ Revision: 1152193
- new version 0.8.14

* Sun Jan 01 2017 luigiwalser <luigiwalser> 0.8.13-1.mga6
+ Revision: 1078937
- 0.8.13

* Fri Oct 14 2016 daviddavid <daviddavid> 0.8.12-2.mga6
+ Revision: 1060766
- add patch to fix missing include <libgupnp/gupnp.h> since new gupnp-av >= 0.12.9

* Tue Apr 26 2016 ovitters <ovitters> 0.8.12-1.mga6
+ Revision: 1006490
- new version 0.8.12
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Nov 28 2015 ovitters <ovitters> 0.8.11-1.mga6
+ Revision: 906788
- new version 0.8.11

* Sun Jun 21 2015 ovitters <ovitters> 0.8.10-1.mga6
+ Revision: 838296
- new version 0.8.10

* Wed Oct 15 2014 umeabot <umeabot> 0.8.9-4.mga6
+ Revision: 747968
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.9-3.mga5
+ Revision: 680052
- Mageia 5 Mass Rebuild

* Sun May 04 2014 wally <wally> 0.8.9-2.mga5
+ Revision: 619945
- add patch build with adwaita-icon-theme

* Tue Feb 04 2014 dams <dams> 0.8.9-1.mga5
+ Revision: 580900
- new version 0.8.9

* Mon Nov 11 2013 ovitters <ovitters> 0.8.8-1.mga4
+ Revision: 550593
- new version 0.8.8

* Sat Oct 19 2013 umeabot <umeabot> 0.8.7-2.mga4
+ Revision: 533176
- Mageia 4 Mass Rebuild

* Mon Aug 26 2013 dams <dams> 0.8.7-1.mga4
+ Revision: 471938
- new version 0.8.7

* Fri Apr 12 2013 dams <dams> 0.8.6.1-1.mga4
+ Revision: 409816
- new version 0.8.6.1

* Sat Jan 12 2013 umeabot <umeabot> 0.8.5-2.mga3
+ Revision: 352997
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 ovitters <ovitters> 0.8.5-1.mga3
+ Revision: 333674
- new version 0.8.5

* Tue Dec 13 2011 wally <wally> 0.8.4-1.mga2
+ Revision: 181403
- imported package gupnp-tools

